
Exiv2 - Patch #834
detection of Pentax DA 35/2.4 lens
01 Aug 2012 08:05 - Guillaume Chauvat

Status: Closed Start date: 01 Aug 2012
Priority: Normal Due date:
Assignee: Robin Mills % Done: 100%
Category: lens Estimated time: 3.00 hours
Target version: 0.26
Description

This lens is rather new and was not in the database.

Associated revisions
Revision 2860 - 30 Aug 2012 21:30 - Andreas Huggel

#834: Added Pentax lens PENTAX-DA 35mm F2.4 AL

Revision 2958 - 27 Dec 2012 09:53 - Robin Mills

Issue: #834.  Thanks Jaroslav and Pascal for the discovery/patches/solution.

History
#1 - 31 Aug 2012 01:56 - Andreas Huggel
- Category set to exif
- Status changed from New to Assigned
- Assignee set to Andreas Huggel

Thanks for the lens info, Guillaume, I've added it. However, compared with the Exiftool list of Pentax lenses, we're still lacking many, plus there is now
a need for additional logic to identify lenses with the same id. So there is quite a bit more work to do in this area. I'll leave this issue assigned to me for
this.

#2 - 24 Jul 2013 16:02 - Robin Mills
- Target version set to 0.25

Deferred to 0.25.

#3 - 03 Jun 2015 01:54 - Alan Pater
- Category changed from exif to lens
- Target version changed from 0.25 to 0.26
- % Done changed from 0 to 20

#4 - 08 May 2016 10:33 - Robin Mills
- Status changed from Assigned to Closed
- Assignee changed from Andreas Huggel to Robin Mills
- % Done changed from 20 to 100
- Estimated time set to 3.00

I'm going to close this for the following reasons:

1 The code has been submitted
2 I've added a new feature #1034 which reads the lens name from ~/.exiv2
3 I'm going to add a web service which can be optionally called by exiv2

Files
da35.diff 544 Bytes 01 Aug 2012 Guillaume Chauvat
